import { BackendFeature, ServiceFactory } from '@backstage/backend-plugin-api';
import { Backend } from './types';
export declare class BackstageBackend implements Backend {
    #private;
    constructor(defaultServiceFactories: ServiceFactory[]);
    add(feature: BackendFeature | Promise<{
        default: BackendFeature;
    }>): void;
    start(): Promise<void>;
    stop(): Promise<void>;
}
